Description

Hi!

Here's a patch that adds a filter for spent time to IssueQuery.  Any chance this could be included in the next 3.3 and 3.4 versions?

Related issues:

Related to Redmine - Feature #35798: Add Total estimated/spent time issue que... New

Has duplicate Redmine - Feature #13947: Add spent time issue list filter Closed

Associated revisions

Revision 18112 - 2019-04-30 12:52 - Go MAEDA

Issue filtering by spent time (#26826).

Patch by Tobias Umbach and Takenori TAKAKI.

Revision 18113 - 2019-05-01 01:48 - Go MAEDA

Group time tracking filters in the filter select list (#26826).

History

#1 - 2017-09-15 15:59 - Anonymous

- File issue-filter-by-spent-time-2.diff added

Here's an updated patch based on feedback that meineerde gave me on IRC.

An unknown operator leads to invalid SQL, return nil early instead

NUMERIC is a non-standard PostgreSQL type, use DECIMAL instead

#2 - 2017-09-28 13:20 - Toshi MARUYAMA

- Target version set to 4.1.0

#3 - 2018-02-26 07:57 - Mischa The Evil

- Has duplicate Feature #13947: Add spent time issue list filter added

#4 - 2018-05-13 14:36 - Go MAEDA

- File 26826-note4-before@2x.png added

- File 26826-note4-after@2x.png added

- File issue-filter-by-spent-time-3.diff added

I think it would be better to move the position of "Spent time" filter in the filters list. The reasons are as follows:

The proposed patch places the filter in the third position. I think it is a too excellent position for the filter because most users don't use the filter so

frequently.

"Spent time" and "Estimated time" are closely related to each other. These two filters should be next to each other.

Attaching an updated patch.
After:

 26826-note4-after@2x.png 

#5 - 2018-09-20 09:12 - Takenori TAKAKI

- File issue-filter-by-spent-time-4.diff added

I tested the patch "issue-filter-by-spent-time-3.diff" posted by Go Maeda.

As a result, I found that it is necessary to add a fixture of time_entrys to the test code "test/unit/query_test.rb".

Tests were done with MySQL, PostgreSQL, SQLite and all succeeded.

I attach a new patch that added fixture.

#6 - 2018-09-20 09:53 - Takenori TAKAKI

- File issue-filter-by-spent-time-5.diff added

I noticed that 'expected' and 'actual' are reversed on the added assertions.

Attaching an updated patch.

#7 - 2019-04-30 12:58 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for improving Redmine.

#8 - 2019-12-20 10:06 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

#9 - 2021-08-22 09:14 - Mischa The Evil

- Related to Feature #35798: Add Total estimated/spent time issue query filters added
